Bug 1295272 - Wi-Fi not working on Lenovo Yoga 700
Wi-Fi not working on Lenovo Yoga 700
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 23:39 EST by dinyar.rabady+spam
Modified: 2016-01-26 13:24 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.3.3-303.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 13:24:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmidecode (15.99 KB, text/plain)
2016-01-09 03:13 EST, dinyar.rabady+spam
no flags Details

  None (edit)
Description dinyar.rabady+spam 2016-01-03 23:39:23 EST
Description of problem:
When the `ideapad-laptop` driver is loaded the Wi-Fi interface of my Lenovo Yoga 700 is marked as hardware switch disabled even though it does not have a hardware switch. As soon as this driver is unloaded Wi-Fi works again, however e.g. the touchscreen stops working.

This is probably a similar problem as described in bug 1021036.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Run Fedora 23 on Lenovo Yoga 700
2. Try to use Wi-Fi (won't work)
3. `sudo modprobe -r ideapad-laptop`
4. Try to use Wi-Fi (will work)

Actual results:
Wi-Fi doesn't work when ideapad-laptop is loaded

Expected results:
Wi-Fi always works

Additional info:

Output of `sudo dmidecode | grep 'System Information' -A8`:
[liveuser@localhost ~]$ sudo dmidecode | grep 'System Information' -A8
System Information
	Manufacturer: LENOVO
	Product Name: 80QD
	Version: Lenovo YOGA 700-14ISK
	Serial Number: PF0DYTRT
	UUID: 2D86BA24-6E2C-11E5-BA4C-507B9D4A215F
	Wake-up Type: Power Switch
	SKU Number: LENOVO_MT_80QD_BU_idea_FM_Lenovo YOGA 700-14ISK
	Family: IDEAPAD
Comment 1 dinyar.rabady+spam 2016-01-03 23:48:55 EST
Correction: The touchscreen actually continues working after unloading the module, this seems to have been a glitch somewhere else. However the airplane mode key stops working after unloading the module.
Comment 2 Josh Boyer 2016-01-04 08:37:16 EST
This sounds like another variant of bug 1286293.  Sigh.
Comment 3 Josh Boyer 2016-01-06 15:30:03 EST
Can you attach the output of dmidecode when run as root?
Comment 4 dinyar.rabady+spam 2016-01-09 03:13 EST
Created attachment 1113115 [details]
Output of dmidecode
Comment 5 dinyar.rabady+spam 2016-01-09 03:14:54 EST
I've attached it. Thanks for taking the time to look into this!
Comment 6 Josh Boyer 2016-01-11 15:39:28 EST
(In reply to dinyar.rabady+spam from comment #5)
> I've attached it. Thanks for taking the time to look into this!

Thank you.  I'll hopefully have a build for you to test tomorrow.
Comment 7 Josh Boyer 2016-01-12 08:04:27 EST
Please test this scratch build when it completes:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12515714
Comment 8 Josh Boyer 2016-01-13 19:32:30 EST
Have you had a chance to test this?  I would like to send the patch upstream after getting confirmation if it works.
Comment 9 dinyar.rabady+spam 2016-01-14 11:06:06 EST
Sorry, I'm away from that laptop until the weekend. I'll report back about it then.
Comment 10 dinyar.rabady+spam 2016-01-17 17:22:08 EST
This works with your patch. Thanks for the effort!
Comment 11 Fedora Update System 2016-01-19 07:53:46 EST
kernel-4.3.3-302.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-db9fedd7c4
Comment 12 Fedora Update System 2016-01-20 16:58:16 EST
kernel-4.3.3-303.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59fd603be
Comment 13 Fedora Update System 2016-01-21 23:58:07 EST
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59fd603be
Comment 14 Fedora Update System 2016-01-26 13:22:03 EST
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.